.field-error-texts{
  @include font-size(11);
  color: $very-dark-gray;
  margin-bottom: 8px;
  overflow: hidden;
  pointer-events: none;
  text-align: right;
  transition: $transition-duration * 1.5;
  width: 100%;
}

.reminder {
  @extend .field-error-texts;
  max-height: 0;
  padding-bottom: 0;
  position: relative;
  top: -10px;
}

.form-error {
  @extend .field-error-texts;
  color: $invalid-color;
  font-weight: normal;
  position: relative;
  top: -5px;
}

.mod_reminder-on {
  max-height: 200px;
}

//controls visual togglers + validation icons
.mod_field-icons {
  @extend %fontello;
  font-size: $input-status-icon-size;
  position: absolute;
  right: 0px;
  top: 8px;
}

.vis-togglers {
  @include transition(right ($transition-duration / 2) ease-in-out);
  position: relative;
  right: 8px;
  .vis-toggle-hide,
  .vis-toggle-show {
    @extend .mod_field-icons;
    width: $input-status-icon-size;
    height: $input-status-icon-size;
    color: $medium-gray;
  }
}

.field-state {
  position: relative;
  top: -55px;
  width: 100%;
}

.field-state-error,
.field-state-warning,
.field-state-success {
  &::before {
    @extend .mod_field-icons;
    color: $warning-color;
    content: '\E809';
  }
}

.field-state-success{
  &::before {
    color: $valid-color;
    content: '\E80F';
  }
}

.field-state-error{
  &::before {
    color: $invalid-color;
    content: '\E805';
  }
}